package com.muyu.enterprise.mapper;

import com.muyu.enterprise.domain.Enterprise;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

@Mapper
public interface EnterpriseDao {
    // 查询分页信息
    public ArrayList<HashMap> selectEnterprise(Map param);
    //查询企业记录总数
    public long selectEnterpriseCount();


    //新增企业信息
    public int insert(Enterprise enterprise);


    //根据编号查询企业信息
    public HashMap searchById(int enterpriseId);
    //修改企业信息
    public int updateEnterprise(Enterprise enterprise);


    //删除企业信息
    public int deleteByIds(Integer[] ids);
}
